insync mi ha bloccato apt & co

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

insync mi ha bloccato apt & co

Messaggioda paulhewson » 13/10/2016, 19:18

Salve, insync non mi funzionava correttamente, così ho provato a rimuoverlo ma senza alcun successo: ho provato apt, aptitude, dpkg con opzione --force-all ma senza riuscirci. In più pare che il repo di insync sia inaccessibile
Codice: Seleziona tutto
deb http://apt.insynchq.com/ubuntu precise non-free contrib


Allora sono andato sul sito di insync e ho scaricato il pacchetto debian apposito per 64 bit, ultima versione disponibile. Impossibile installarlo, con dpkg --force-all ottengo
Codice: Seleziona tutto
ale@debian:~/Scaricati$ sudo dpkg --force-all -i insync_1.3.12.36116-wheezy_amd64.deb
(Reading database ... 342721 files and directories currently installed.)
Preparing to unpack insync_1.3.12.36116-wheezy_amd64.deb ...
Traceback (most recent call last):
  File "<string>", line 5, in <module>
zipimport.ZipImportError: not a Zip file: '/usr/lib/insync/library.zip'
dpkg: warning: subprocess old pre-removal script returned error exit status 1
dpkg: trying script from the new package instead ...
Traceback (most recent call last):
  File "<string>", line 5, in <module>
zipimport.ZipImportError: not a Zip file: '/usr/lib/insync/library.zip'
dpkg: error processing archive insync_1.3.12.36116-wheezy_amd64.deb (--install):
 subprocess new pre-removal script returned error exit status 1
Traceback (most recent call last):
  File "<string>", line 5, in <module>
zipimport.ZipImportError: not a Zip file: '/usr/lib/insync/library.zip'
*** Error in `dpkg': munmap_chunk(): invalid pointer: 0x000055e0ee545261 ***


In più ora mi è impossibile fare aptitude upgrade o apt-get upgrade: aptitude mi dice:
Codice: Seleziona tutto
Resolving dependencies...               
The following partially installed packages will be configured:
  insync
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
E: Can't find a source to download version '1.3.10.36104-wheezy' of 'insync:amd64'
After unpacking 0 B will be used.
E: Can't find a source to download version '1.3.10.36104-wheezy' of 'insync:amd64'
E: Internal error: couldn't generate list of packages to download
E: Perhaps the package lists are out of date, please try 'aptitude update' (or equivalent) first


E non posso nemmeno accedere a synaptic; mi esce una schermata che dice
Codice: Seleziona tutto
An error occurred
the following details are prodived
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.


Che fare? Io non ne ho idea. Vi chiedo aiuto
You can't always get what you want [Mick Jagger]
Acer Aspire E1 572 intel core i5 4200 8GB ram intel graphics HD 4400 samsung 840 evo ssd 500 gb win10 + debian testing gnome shell.
Avatar utente
paulhewson
Full Member
Full Member
 
Messaggi: 167
Iscritto il: 05/03/2012, 8:29
Località: Ancona

Re: insync mi ha bloccato apt & co

Messaggioda Ombra » 14/10/2016, 10:37

Ciao,
hai Ubuntu o Debian? quale ramo?

hai provato a configurare i pacchetti rimasti non configurati, come suggerito nell'ultimo codice che hai postato
Codice: Seleziona tutto
# dpkg --configure -a
?

alternativamente cerca di rimuovere il pacchetto che hai provato a installare
Codice: Seleziona tutto
# dpkg -r insync_1.3.12.36116-wheezy


se questi comandi falliscono, quale errore generano?
Ombra
wiki member
wiki member
 
Messaggi: 469
Iscritto il: 11/08/2007, 18:06
Località: Bologna

Re: insync mi ha bloccato apt & co

Messaggioda paulhewson » 15/10/2016, 11:32

Ho risolto: ho trovato una specie di guida online che spiega come risolvere i problemi quando si hanno pacchetti bloccati in bad state: basta modificare il file /var/lib/dpkg/status e rimuovere la voce relativa al pacchetto che da problemi.
La soluzione è qui
You can't always get what you want [Mick Jagger]
Acer Aspire E1 572 intel core i5 4200 8GB ram intel graphics HD 4400 samsung 840 evo ssd 500 gb win10 + debian testing gnome shell.
Avatar utente
paulhewson
Full Member
Full Member
 
Messaggi: 167
Iscritto il: 05/03/2012, 8:29
Località: Ancona


Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti